#ifndef _H_BUFF
#define _H_BUFF


#include <avr/io.h>
#include <avr/pgmspace.h>

#define BUFFER_LEN 110
extern char buff[BUFFER_LEN];

#define buff_str_p(__s, __buff, __pos, __bufflen) buff_str_fla(PSTR(__s), __buff, __pos, __bufflen)

extern uint8_t buff_chr(char* buff, char c, uint8_t pos, uint8_t bufflen);
extern uint8_t buff_str(char *s, char* buff, uint8_t pos, uint8_t bufflen);
extern uint8_t buff_str_fla(const char *addr, char* buff, uint8_t pos, uint8_t bufflen);
extern uint8_t buff_int(uint32_t num, char* buff, uint8_t pos, uint8_t bufflen, uint8_t base);
extern uint8_t buff_solar_temp(int16_t temp, char* buff, uint8_t pos, uint8_t bufflen);

#endif
